play.libs.ws

## Class WSAsync.WSAsyncRequest

- java.lang.Object
- - play.libs.WS.WSRequest
  - - play.libs.ws.WSAsync.WSAsyncRequest

- Enclosing class:
    WSAsync

      public class WSAsync.WSAsyncRequest
      extends WS.WSRequest

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `type`

    - ### Fields inherited from class play.libs.WS.WSRequest

      `body, encoding, fileParams, followRedirects, headers, mimeType, oauthInfo, oauthSecret, oauthToken, parameters, password, scheme, timeout, url, username, virtualHost`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WSAsyncRequest(java.lang.String url, java.lang.String encoding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addQueryString(com.ning.http.client.AsyncHttpClient.BoundRequestBuilder requestBuilder)` Adds the queryString-part of the url to the BoundRequestBuilder
    `WS.HttpResponse` | `delete()` Execute a DELETE request.
    `F.Promise<WS.HttpResponse>` | `deleteAsync()` Execute a DELETE request asynchronously.
    `WS.HttpResponse` | `get()` Execute a GET request synchronously.
    `F.Promise<WS.HttpResponse>` | `getAsync()` Execute a GET request asynchronously.
    `protected java.lang.String` | `getUrlWithoutQueryString()` Returns the URL but removed the queryString-part of it The QueryString-info is later added with addQueryString()
    `WS.HttpResponse` | `head()` Execute a HEAD request.
    `F.Promise<WS.HttpResponse>` | `headAsync()` Execute a HEAD request asynchronously.
    `WS.HttpResponse` | `options()` Execute a OPTIONS request.
    `F.Promise<WS.HttpResponse>` | `optionsAsync()` Execute a OPTIONS request asynchronously.
    `WS.HttpResponse` | `patch()` Execute a PATCH request.
    `F.Promise<WS.HttpResponse>` | `patchAsync()` Execute a PATCH request asynchronously.
    `WS.HttpResponse` | `post()` Execute a POST request.
    `F.Promise<WS.HttpResponse>` | `postAsync()` Execute a POST request asynchronously.
    `com.ning.http.client.AsyncHttpClient.BoundRequestBuilder` | `prepareDelete()`
    `com.ning.http.client.AsyncHttpClient.BoundRequestBuilder` | `prepareGet()`
    `com.ning.http.client.AsyncHttpClient.BoundRequestBuilder` | `prepareHead()`
    `com.ning.http.client.AsyncHttpClient.BoundRequestBuilder` | `prepareOptions()`
    `com.ning.http.client.AsyncHttpClient.BoundRequestBuilder` | `preparePatch()`
    `com.ning.http.client.AsyncHttpClient.BoundRequestBuilder` | `preparePost()`
    `com.ning.http.client.AsyncHttpClient.BoundRequestBuilder` | `preparePut()`
    `WS.HttpResponse` | `put()` Execute a PUT request.
    `F.Promise<WS.HttpResponse>` | `putAsync()` Execute a PUT request asynchronously.
    `WS.HttpResponse` | `trace()` Execute a TRACE request.
    `F.Promise<WS.HttpResponse>` | `traceAsync()` Execute a TRACE request asynchronously.

    - ### Methods inherited from class play.libs.WS.WSRequest

      `authenticate, authenticate, basicAuthHeader, body, createQueryString, encode, files, files, followRedirects, headers, mimeType, oauth, oauth, params, setHeader, setParameter, setParameter, setParameters, timeout, withVirtualHost`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected java.lang.String type

  - ### Constructor Detail

    - #### WSAsyncRequest

          protected WSAsyncRequest(java.lang.String url,
                                   java.lang.String encoding)

  - ### Method Detail

    - #### getUrlWithoutQueryString

          protected java.lang.String getUrlWithoutQueryString()

      Returns the URL but removed the queryString-part of it The QueryString-info is later added with addQueryString()
      Returns:
        The URL without the queryString-part

    - #### addQueryString

          protected void addQueryString(com.ning.http.client.AsyncHttpClient.BoundRequestBuilder requestBuilder)

      Adds the queryString-part of the url to the BoundRequestBuilder
      Parameters:
        `requestBuilder` - : The request buider to add the queryString-part

    - #### prepareGet

          public com.ning.http.client.AsyncHttpClient.BoundRequestBuilder prepareGet()

    - #### prepareOptions

          public com.ning.http.client.AsyncHttpClient.BoundRequestBuilder prepareOptions()

    - #### prepareHead

          public com.ning.http.client.AsyncHttpClient.BoundRequestBuilder prepareHead()

    - #### preparePatch

          public com.ning.http.client.AsyncHttpClient.BoundRequestBuilder preparePatch()

    - #### preparePost

          public com.ning.http.client.AsyncHttpClient.BoundRequestBuilder preparePost()

    - #### preparePut

          public com.ning.http.client.AsyncHttpClient.BoundRequestBuilder preparePut()

    - #### prepareDelete

          public com.ning.http.client.AsyncHttpClient.BoundRequestBuilder prepareDelete()

    - #### get

          public WS.HttpResponse get()

      Execute a GET request synchronously.
      Specified by:
        `get` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### getAsync

          public F.Promise<WS.HttpResponse> getAsync()

      Execute a GET request asynchronously.
      Overrides:
        `getAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### patch

          public WS.HttpResponse patch()

      Execute a PATCH request.
      Specified by:
        `patch` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### patchAsync

          public F.Promise<WS.HttpResponse> patchAsync()

      Execute a PATCH request asynchronously.
      Overrides:
        `patchAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### post

          public WS.HttpResponse post()

      Execute a POST request.
      Specified by:
        `post` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### postAsync

          public F.Promise<WS.HttpResponse> postAsync()

      Execute a POST request asynchronously.
      Overrides:
        `postAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### put

          public WS.HttpResponse put()

      Execute a PUT request.
      Specified by:
        `put` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### putAsync

          public F.Promise<WS.HttpResponse> putAsync()

      Execute a PUT request asynchronously.
      Overrides:
        `putAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### delete

          public WS.HttpResponse delete()

      Execute a DELETE request.
      Specified by:
        `delete` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### deleteAsync

          public F.Promise<WS.HttpResponse> deleteAsync()

      Execute a DELETE request asynchronously.
      Overrides:
        `deleteAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### options

          public WS.HttpResponse options()

      Execute a OPTIONS request.
      Specified by:
        `options` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### optionsAsync

          public F.Promise<WS.HttpResponse> optionsAsync()

      Execute a OPTIONS request asynchronously.
      Overrides:
        `optionsAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### head

          public WS.HttpResponse head()

      Execute a HEAD request.
      Specified by:
        `head` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### headAsync

          public F.Promise<WS.HttpResponse> headAsync()

      Execute a HEAD request asynchronously.
      Overrides:
        `headAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### trace

          public WS.HttpResponse trace()

      Execute a TRACE request.
      Specified by:
        `trace` in class `WS.WSRequest`
      Returns:
        The HTTP response

    - #### traceAsync

          public F.Promise<WS.HttpResponse> traceAsync()

      Execute a TRACE request asynchronously.
      Overrides:
        `traceAsync` in class `WS.WSRequest`
      Returns:
        The HTTP response

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly